=== debian/changelog ===
ocsigenserver (6.0.0-1build11) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:51:00 +0200

ocsigenserver (6.0.0-1build10) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Sep 2025 08:20:48 +0200

ocsigenserver (6.0.0-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:38:07 +0200

ocsigenserver (6.0.0-1build8) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 May 2025 07:35:31 -0400

ocsigenserver (6.0.0-1build7) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:47:59 +0100

ocsigenserver (6.0.0-1build6) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 10:03:07 +0100

ocsigenserver (6.0.0-1build5) plucky; urgency=medium

  * No-change rebuild against new OCAML ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Feb 2025 09:06:11 +0000

ocsigenserver (6.0.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:15:11 +0100

ocsigenserver (6.0.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:30:44 +0100

ocsigenserver (6.0.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:44:07 +0100

ocsigenserver (6.0.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:06:28 +0100

ocsigenserver (6.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Sep 2024 12:22:47 +0200
