=== debian/control ===
Source: ocsigenserver
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 ocaml-findlib,
 liblwt-ocaml-dev (>= 3.0.0),
 liblwt-ssl-ocaml-dev,
 liblwt-log-ocaml-dev,
 libzip-ocaml-dev,
 libre-ocaml-dev (>= 1.11.0),
 libsqlite3-ocaml-dev,
 libcryptokit-ocaml-dev,
 libfindlib-ocaml-dev,
 libipaddr-ocaml-dev,
 libxml-light-ocaml-dev,
 libcohttp-lwt-unix-ocaml-dev (>= 5.1.0),
 dh-ocaml (>= 1.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://ocsigen.org/ocsigenserver/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocsigenserver
Vcs-Git: https://salsa.debian.org/ocaml-team/ocsigenserver.git

Package: ocsigenserver
Section: httpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocsigenserver-doc
Description: web server of the Ocsigen project
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.

Package: libocsigenserver-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: libocsigenserver-ocaml-dev (<< 5)
Replaces: libocsigenserver-ocaml-dev (<< 5)
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: web server of the Ocsigen project (runtime libraries)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains runtime libraries.

Package: libocsigenserver-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocsigenserver-doc
Description: web server of the Ocsigen project (dev libraries)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains development libraries.

Package: ocsigenserver-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: ocsigenserver, libocsigenserver-ocaml-dev
Multi-Arch: foreign
Description: web server of the Ocsigen project (documentation)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains documentation: the manual (in wikicreole
 format) and the API reference generated by ocamldoc (in HTML format).
