=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_clean:
	rm -rf doc/api-html local/etc local/var/log local/var/run

override_dh_auto_configure:
	mkdir -p local/etc
	sh configure \
	    --temproot $(DESTDIR) \
	    --prefix /usr \
	    --bindir /usr/bin \
	    --libdir $(OCAML_STDLIB_DIR) \
	    --mandir /usr/share/man/man1 \
	    --docdir /usr/share/doc/ocsigenserver/api-html \
	    --staticpagesdir /usr/share/ocsigenserver \
	    --ocsigen-user ocsigen \
	    --ocsigen-group ocsigen
	$(MAKE) -C src confs

execute_after_dh_auto_build-indep:
	$(MAKE) doc

execute_after_dh_auto_install-indep:
	$(MAKE) install.doc
