=== debian/watch ===
version=4
https://github.com/ocsigen/ocsigenserver/tags .*/(.*)\.tar\.gz
